%define upstream_name    Geo-Coordinates-DecimalDegrees
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Convert between degrees/minutes/seconds and decimal degrees
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Number::Delta)
BuildArch:  noarch

%description
Latitudes and longitudes are most often presented in two common formats:
decimal degrees, and degrees, minutes and seconds. There are 60 minutes in
a degree, and 60 seconds in a minute. In decimal degrees, the minutes and
seconds are presented as a fractional number of degrees. For example, 1
degree 30 minutes is 1.5 degrees, and 30 minutes 45 seconds is 0.5125
degrees.

This module provides functions for converting between these two formats.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 511849
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 367628
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 154309
- update to 0.09

* Thu Jan 20 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 26269
- mageia rebuild
- imported package perl-Geo-Coordinates-DecimalDegrees

